GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
GpgFrontend::GpgSignResultAnalyse Class Reference
Inheritance diagram for GpgFrontend::GpgSignResultAnalyse:
Collaboration diagram for GpgFrontend::GpgSignResultAnalyse:

## Public Member Functions
| GpgSignResultAnalyse (GpgError error, GpgSignResult result)
| Construct a new Sign Result Analyse object. More...
Public Member Functions inherited from GpgFrontend::GpgResultAnalyse
| GpgResultAnalyse ()=default
| Construct a new Result Analyse object.
const std::string | GetResultReport () const
| Get the Result Report object. More...
int | GetStatus () const
| Get the Status object. More...
void | Analyse ()

## Protected Member Functions
void | do_analyse ()
Protected Member Functions inherited from GpgFrontend::GpgResultAnalyse
void | set_status (int m_status)
| Set the status object. More...

## Private Attributes
GpgError | error_
GpgSignResult | result_

## Additional Inherited Members
Protected Attributes inherited from GpgFrontend::GpgResultAnalyse
std::stringstream | stream_
int | status_ = 1
bool | analysed_ = false

## Constructor & Destructor Documentation

## ◆ GpgSignResultAnalyse()

GpgFrontend::GpgSignResultAnalyse::GpgSignResultAnalyse | ( | GpgError | error,
|  | GpgSignResult | result
| ) |  |
| explicit

Construct a new Sign Result Analyse object.

Parameters

  error |
  result | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

The documentation for this class was generated from the following files:

- src/core/function/result_analyse/GpgSignResultAnalyse.h
- src/core/function/result_analyse/GpgSignResultAnalyse.cpp